import stamp.core.*;

/*
  Class which communicates with CMUCamera to track objects
  of a particular color.
*/
class CMUCamStatData
{
  public CMUCamStatData()
  {
    m_nRmean = 0;
    m_nGmean = 0;
    m_nBmean = 0;
    m_nRdev  = 0;
    m_nGdev  = 0;
    m_nBdev  = 0;
    m_fValid = false;
  }
  public CMUCamStatData(int nRmean, int nGmean, int nBmean,
                        int nRdev,  int nGdev,  int nBdev,
                        boolean fValid )
  {
    m_nRmean = nRmean;
    m_nGmean = nGmean;
    m_nBmean = nBmean;
    m_nRdev  = nRdev;
    m_nGdev  = nGdev;
    m_nBdev  = nBdev;
    m_fValid = fValid;
  }

  public int      m_nRmean;
  public int      m_nGmean;
  public int      m_nBmean;
  public int      m_nRdev;
  public int      m_nGdev;
  public int      m_nBdev;
  public boolean  m_fValid;
}
