import stamp.core.*;

/*
  Class which communicates with CMUCamera to track objects
  of a particular color.
*/
class CMUCamTrackingData
{
  public CMUCamTrackingData()
  {
    m_nX1         = 0;
    m_nY1         = 0;
    m_nX2         = 0;
    m_nY2         = 0;
    m_nPixels     = 0;
    m_nConfidence = 0;
    m_fValid      = false;
  }
  public CMUCamTrackingData(int nX1, int nY1, int nX2, int nY2,
                            int nPixels, int nConfidence,
                            boolean fValid )
  {
    m_nX1         = nX1;
    m_nY1         = nY1;
    m_nX2         = nX2;
    m_nY2         = nY2;
    m_nPixels     = nPixels;
    m_nConfidence = nConfidence;
    m_fValid      = false;
  }

  public int      m_nX1;
  public int      m_nY1;
  public int      m_nX2;
  public int      m_nY2;
  public int      m_nPixels;
  public int      m_nConfidence;
  public boolean  m_fValid;
}